Bug 44593 - Debootstrap: No script for ucs420
Debootstrap: No script for ucs420
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UCS Net Installer
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-0-errata
Assigned To: Erik Damrose
Philipp Hahn
https://help.univention.com/t/network...
:
Depends on: 44645
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-15 09:42 CEST by Mathias Radtke
Modified: 2017-05-24 10:48 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 5: Blocking further progress on the daily work
User Pain: 0.086
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): External feedback, Workaround is available
Max CVSS v3 score:


Attachments
fixed debootstrap package (62.22 KB, application/vnd.debian.binary-package)
2017-05-23 12:45 CEST, Erik Damrose
Details
fixed udeb package (18.03 KB, application/vnd.debian.binary-package)
2017-05-23 14:02 CEST, Erik Damrose
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mathias Radtke 2017-05-15 09:42:19 CEST
After trying to install UCS 4.2 from an apache repository the installer won't perform the debootstrap. The script ucs420 is not available.

~ # ls /usr/share/debootstrap/scripts/u*
/usr/share/debootstrap/scripts/ucs400 /usr/share/debootstrap/scripts/ucs410
/usr/share/debootstrap/scripts/ucs401 /usr/share/debootstrap/scripts/ucs411
/usr/share/debootstrap/scripts/ucs402 /usr/share/debootstrap/scripts/ucs412
/usr/share/debootstrap/scripts/ucs403 /usr/share/debootstrap/scripts/ucs413
/usr/share/debootstrap/scripts/ucs404 /usr/share/debootstrap/scripts/ucs414
/usr/share/debootstrap/scripts/ucs405 /usr/share/debootstrap/scripts/utopic

debootstrap_1.0.67A~4.2.0.201703021721_all.deb
debootstrap-udeb_1.0.67A~4.2.0.201703021721_all.udeb
Comment 1 Erik Damrose univentionstaff 2017-05-15 10:00:31 CEST
Does it work if you define a link for ucs420 like this:

ln -s /usr/share/debootstrap/scripts/jessie /usr/share/debootstrap/scripts/ucs420
Comment 2 Mathias Radtke 2017-05-15 10:19:30 CEST
yes it works creating a link.

The system currently installs fine.

But as we want to install UCS420 on a regular basis for automated tests, this is nothing we want to do in our tests. 

Thanks for the temporary solution.
Comment 3 Erik Damrose univentionstaff 2017-05-15 10:34:51 CEST
Thanks for the confirmation, this is helpful for the development of a fix
Comment 4 Erik Damrose univentionstaff 2017-05-15 13:16:17 CEST
I added the missing symlink in a patch for the debootstrap package.

r17502 Add symlink for UCS 4.2
debootstrap 1.0.67A~4.2.0.201705151311
r79342 yaml
Comment 5 Philipp Hahn univentionstaff 2017-05-16 09:46:36 CEST
You can always specify the script explicitly:
  debootstrap [OPTION...]  SUITE TARGET [MIRROR [SCRIPT]]

e.g. debootstrap --keyring /usr/share/keyrings/univention-archive-key-ucs-4x.gpg --variant=buildd ucs420 /tmp/ucs420 http://updates.software-univention.de/4.2/maintained/4.2-0/ /usr/share/debootstrap/scripts/jessie
Comment 6 Philipp Hahn univentionstaff 2017-05-22 12:06:02 CEST
OK: debootstrap --keyring /usr/share/keyrings/univention-archive-key-ucs-4x.gpg --variant=buildd ucs420 /tmp/ucs420 http://univention-repository.knut.univention.de/4.2/maintained/4.2-0/
OK: debootstrap.yaml
FIXED: announce-errata -V debootstrap.yaml

FAIL:
 # dpkg -s debootstrap | grep Recommends
 Recommends: gnupg, debian-archive-keyring

0001-univention-archive-key.patch did not work as expected. This is caused as our pbuilder.tgz are inconsistent: 516 are "dpkg-vendor debian", 141 are "univention", 30 "ubuntu" and 8 unset.
Comment 7 Erik Damrose univentionstaff 2017-05-22 12:25:01 CEST
Thanks for fixing the pbuilder environment. I rebuild the package, yaml updated in r49485.
Package: debootstrap
Version: 1.0.67A~4.2.0.201705221222
Branch: ucs_4.2-0
Scope: errata4.2-0
Comment 8 Philipp Hahn univentionstaff 2017-05-22 12:43:17 CEST
OK: 
 dpkg -s debootstrap | grep Recommends
  Recommends: gnupg, univention-archive-key
OK: errata-announce -V --only debootstrap.yaml
OK: r79485
Comment 9 Mathias Radtke 2017-05-23 12:23:29 CEST
is there any location where I can grab the fixed package?
Comment 10 Erik Damrose univentionstaff 2017-05-23 12:45:23 CEST
Created attachment 8873 [details]
fixed debootstrap package

Attached is the fixed package. It will be released shortly as an UCS 4.2 erratum. Once it is released, this bug will be CLOSED, and the advisory can be found at http://errata.software-univention.de/ucs/4.2/

The package will then be available via the normal UCS package and update tools
Comment 11 Mathias Radtke 2017-05-23 13:53:25 CEST
Please fix it also for the udeb package.
The installation fails because the udeb package does not have the ucs420 link

thanks
Comment 12 Erik Damrose univentionstaff 2017-05-23 14:02:42 CEST
Created attachment 8875 [details]
fixed udeb package

The udeb package has been also been build and is attached here. Sorry, i did not know which file you required.
Comment 13 Mathias Radtke 2017-05-23 14:26:27 CEST
I think the naming is wrong
debootstrap-udeb_1.0.67A-4.2.0.201705221222_all.udeb

and the old package was named
debootstrap-udeb_1.0.67A~4.2.0.201703021721_all.udeb

installation does not finish as it cant find the responding udeb file for the deb file because of the missing '~'
Comment 14 Erik Damrose univentionstaff 2017-05-23 14:37:35 CEST
If i try to download both files with firefox 53, the '~' is used in the filename. The filenames are also correct in our staging repository.

debootstrap_1.0.67A~4.2.0.201705221222_all.deb
debootstrap-udeb_1.0.67A~4.2.0.201705221222_all.udeb

Maybe your browser is renaming the filename on the fly. I suggest to wait for the official erratum, it should be released tomorrow.
Comment 15 Janek Walkenhorst univentionstaff 2017-05-24 10:48:05 CEST
<http://errata.software-univention.de/ucs/4.2/17.html>